Bug 1008545 - Missing javadoc for org.apache.xalan
Missing javadoc for org.apache.xalan
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER6
: EAP 6.2.0
Assigned To: Yong Yang
Jakub Cechacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 10:58 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-16 10:58:36 EDT
Current javadoc is missing documentation for following jars and packages 
/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/apache/xalan/main/serializer-2.7.1-redhat-3.jar
3 missing:
   org.apache.xml.serializer
   org.apache.xml.serializer.dom3
   org.apache.xml.serializer.utils

/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/apache/xalan/main/xalan-2.7.1-redhat-3.jar
39 missing:
   org.apache.xalan
   org.apache.xalan.client
   org.apache.xalan.extensions
   org.apache.xalan.lib
   org.apache.xalan.lib.sql
   org.apache.xalan.processor
   org.apache.xalan.res
   org.apache.xalan.serialize
   org.apache.xalan.templates
   org.apache.xalan.trace
   org.apache.xalan.transformer
   org.apache.xalan.xslt
   org.apache.xalan.xsltc
   org.apache.xalan.xsltc.cmdline
   org.apache.xalan.xsltc.cmdline.getopt
   org.apache.xalan.xsltc.compiler
   org.apache.xalan.xsltc.compiler.util
   org.apache.xalan.xsltc.dom
   org.apache.xalan.xsltc.runtime
   org.apache.xalan.xsltc.runtime.output
   org.apache.xalan.xsltc.trax
   org.apache.xalan.xsltc.util
   org.apache.xml.dtm
   org.apache.xml.dtm.ref
   org.apache.xml.dtm.ref.dom2dtm
   org.apache.xml.dtm.ref.sax2dtm
   org.apache.xml.res
   org.apache.xml.utils
   org.apache.xml.utils.res
   org.apache.xpath
   org.apache.xpath.axes
   org.apache.xpath.compiler
   org.apache.xpath.domapi
   org.apache.xpath.functions
   org.apache.xpath.jaxp
   org.apache.xpath.objects
   org.apache.xpath.operations
   org.apache.xpath.patterns
   org.apache.xpath.res
Comment 1 Misty Stanley-Jones 2013-10-09 23:16:52 EDT
I'm not sure what the right component is for Javadoc bugs, but Documentation should be used for formal documentation maintained by Content Services. Javadoc does not fall under this category. Maybe we need a new component for it?
Comment 2 Yong Yang 2013-10-10 04:15:15 EDT
Fixed in EAP6.2.0 ER5.
Comment 3 Jakub Cechacek 2013-10-10 07:44:04 EDT
Following jars and packages are still missing in ER5

/home/jcechace/tools/eap/eap6/620/er5/jboss-eap-6.2/modules/system/layers/base/org/apache/xalan/main/serializer-2.7.1-redhat-3.jar
3 missing:
   org.apache.xml.serializer
   org.apache.xml.serializer.dom3
   org.apache.xml.serializer.utils
Comment 4 Jakub Cechacek 2013-10-10 08:14:51 EDT
Fixed only partially in 6.2.0.ER5. See my previous comment.
Comment 5 Yong Yang 2013-10-18 06:28:15 EDT
These javadocs are generated in EAP6.2.0 ER6.

 org.apache.xml.serializer
 org.apache.xml.serializer.dom3
 org.apache.xml.serializer.utils
Comment 6 Jakub Cechacek 2013-10-22 03:37:34 EDT
Verified 6.2.0.ER6

Note You need to log in before you can comment on or make changes to this bug.